Subject: [PATCH 0/1] guix: Add git-fetch/impure.

From: sirgazil <[email-masked]>
Date: Sat, 18 Apr 2020 15:54:04 +0000

Hi, 

I feel the same as Chris. I started doing some packaging this year, and really felt downhearted when I found there was no support for package definitions with SSH authenticated git repositories (for private use, of course). 

In my case, I need this for two reasons:

* I want to use Guix channels for experimental packages, prototypes and pre-alpha software that should be available for some people only.
* I want to use Guix channels for production-ready packages of in-house tools that are only useful for private businesses. 

In both cases, the channels and software sources would be in Git repositories hosted by third-parties like GitLab, BitBucket, etc., which provide SSH authentication.

There are some comments already about Chris' patch in another bug report (issues.guix.gnu.org/issue/31284). I agree that "git-fetch/impure" must not be used in Guix's official channel(s), but I'd like Guix to include it in its API for use in private channels.

I think having this functionality would make it even easier to adopt the GNU Guix in mainstream culture.

---
https://sirgazil.bitbucket.io/